TRACE_BLOCK_SLEEPRQ(9)

NAME
trace_block_sleeprq - waiting to get a free request entry in queue for block IO operation

SYNOPSIS

void trace_block_sleeprq(struct request_queue * q, struct bio * bio, int rw);

ARGUMENTS

q
    queue for operation

bio
    pending block IO operation

rw
    low bit indicates a read (0) or a write (1)

DESCRIPTION

In the case where a request struct cannot be provided for queue q the process needs to wait for an request struct to become available. This tracepoint event is generated each time the process goes to sleep waiting for request struct become available.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT